MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031801Open CASCADE[OCCT] OCCT:Samplespublic2020-09-29 10:472020-10-07 16:26
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031801: Samples: Overview Qt - Topology - Problems with displaying in shading mode
DescriptionCategory / Topology / BRep primitive objects / Revolution then RT

Category / Topology / Modification / Convert to NURBS

Category / Topology / Boolean operation

Category / Topology / Complex modeling

The initial shapes are not removed after operation. It causes corrupting and flicking during displaying in shading mode

Steps To ReproduceApplication
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon RT.png (175,356 bytes) 2020-09-29 10:48
png file icon ConvertToNURBS.png (138,986 bytes) 2020-09-29 10:48

- Relationships
child of 0031570verifiedbugmaster Samples - add Qt samples similar to standard MFC samples 

-  Notes
(0095490)
kgv (developer)
2020-09-30 13:02

I don't think that RT option is useful to be displayed in any sample other than Visualization.
(0095698)
bugmaster (administrator)
2020-10-03 15:05

Fixed It will be integrated in framework of 31570
(0095778)
bugmaster (administrator)
2020-10-07 15:58

Combination -
OCCT branch : OCCT-750-BETA
master SHA - 278da162dc52c26c8cfe9d002a6f07db12405194
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750-BETA SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18038.89000000012 / 18085.73000000008 [-0.26%]
Products
Total CPU difference: 12182.170000000115 / 12217.490000000116 [-0.29%]
Windows-64-VC14:
OCCT
Total CPU difference: 19726.21875 / 19713.9375 [+0.06%]
Products
Total CPU difference: 13586.625 / 13579.390625 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Issue History
Date Modified Username Field Change
2020-09-29 10:47 bugmaster New Issue
2020-09-29 10:47 bugmaster Assigned To => bugmaster
2020-09-29 10:47 bugmaster File Added: RT.png
2020-09-29 10:47 bugmaster File Deleted: RT.png
2020-09-29 10:48 bugmaster File Added: RT.png
2020-09-29 10:48 bugmaster File Added: ConvertToNURBS.png
2020-09-29 10:48 bugmaster Assigned To bugmaster => asuraven
2020-09-29 10:48 bugmaster Status new => assigned
2020-09-29 12:40 bugmaster Summary Samples: Overview QT - Problems with displaying a torus in shading mode => Samples: Overview QT - Topology - Problems with displaying in shading mode
2020-09-29 12:40 bugmaster Description Updated View Revisions
2020-09-29 12:42 bugmaster Description Updated View Revisions
2020-09-30 12:53 bugmaster Relationship added child of 0031570
2020-09-30 12:54 bugmaster Relationship deleted child of 0031570
2020-09-30 12:54 bugmaster Relationship added related to 0031570
2020-09-30 13:02 kgv Note Added: 0095490
2020-09-30 14:24 kgv Summary Samples: Overview QT - Topology - Problems with displaying in shading mode => Samples: Overview Qt - Topology - Problems with displaying in shading mode
2020-10-03 15:05 bugmaster Note Added: 0095698
2020-10-03 15:05 bugmaster Assigned To asuraven => bugmaster
2020-10-03 15:05 bugmaster Status assigned => resolved
2020-10-03 15:05 bugmaster Steps to Reproduce Updated View Revisions
2020-10-03 15:05 bugmaster Status resolved => reviewed
2020-10-07 15:58 bugmaster Note Added: 0095778
2020-10-07 15:58 bugmaster Status reviewed => tested
2020-10-07 16:12 bugmaster Test case number => Not required
2020-10-07 16:18 bugmaster Status tested => verified
2020-10-07 16:18 bugmaster Resolution open => fixed
2020-10-07 16:26 kgv Relationship replaced child of 0031570


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker